#ifndef GetOwnIdentFromComChannel_H
#define GetOwnIdentFromComChannel_H

#include <Command.h>

#include "ComChannel.h"
#include "DFlashSession.h"
namespace ProtoGenWrapper
{
	class GetOwnIdentFromComChannel : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetOwnIdentFromComChannel(const int32 block, const ComChannel comChannel, const DFlashSession flashSession);
		GetOwnIdentFromComChannel(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(int32& block, ComChannel& comChannel, DFlashSession& flashSession) const;

		static int GetCommandType();
	};
}
#endif // GetOwnIdentFromComChannel_H
